import { visualDateToDB } from "./visualDateToDB";
import { dateShowConverter } from "./dateShowConverter";
import { dbDateToVisual } from "./dBDateToVisual";
test("visualDateToDBWorks", () => {
    expect(visualDateToDB("10/12/2025")).toEqual("20251210");
});
test("ddmmyy Converts rightly", () => {
    const output = dateShowConverter("120324");
    expect(output.dataDate).toEqual("20240312");
    expect(output.dispDate).toEqual("12/03/2024");
});
test("Invalid ddmmyy Does not convert", () => {
    const output = dateShowConverter("123524");
    expect(output.dataDate).toEqual("123524");
    expect(output.dispDate).toEqual("123524");
});
test("dbDate to Visual Converts Correctly", () => {
    const visualString = dbDateToVisual("20240319");
    expect(visualString).toEqual("19/03/2024");
});
//# sourceMappingURL=dateConversion.test.js.map