import { visualDateToDB } from "./visualDateToDB";
const onlyTexts = new RegExp('^[0-9]*$');
export const dateShowConverter = (trDate, onChange) => {
    let dispDate, dataDate;
    if (onlyTexts.test(trDate)) {
        if (trDate) {
            if (trDate.length === 6) {
                const dd = trDate.slice(0, 2);
                const mm = trDate.slice(2, 4);
                const yy = trDate.slice(4, 6);
                if (Number(mm) > 12) {
                    return { dispDate: trDate, dataDate: trDate };
                }
                else {
                    dispDate = dd.toString() + '/' + mm + '/' + "20" + yy;
                    dataDate = "20" + yy.toString() + mm.toString() + dd.toString();
                    onChange === null || onChange === void 0 ? void 0 : onChange(dataDate);
                    return { dispDate: dispDate, dataDate: dataDate };
                }
            }
            else if (trDate.length === 8) {
                const dd = trDate.slice(0, 2);
                const mm = trDate.slice(2, 4);
                const yy = trDate.slice(4, 8);
                // @ts-ignore
                if (dd == 29) {
                    // @ts-ignore
                    if ((yy % 4 != 0 && yy % 1000 === 0) || (yy % 400 != 0)) {
                        return { dispDate: trDate, dataDate: trDate };
                    }
                }
                else if (Number(mm) > 12) {
                    return { dispDate: trDate, dataDate: trDate };
                }
                else {
                    dispDate = dd.toString() + '/' + mm + '/' + yy;
                    dataDate = yy.toString() + mm.toString() + dd.toString();
                    onChange === null || onChange === void 0 ? void 0 : onChange(dataDate);
                    return { dispDate: dispDate, dataDate: dataDate };
                }
            }
            else {
                return { dispDate: trDate, dataDate: trDate };
            }
        }
    }
    return { dispDate: trDate, dataDate: visualDateToDB(trDate) };
};
//# sourceMappingURL=dateShowConverter.js.map