"use strict";
// For Formats Like
// if input 05 consider as month and datedisp=01/05/2022
// if input 0522 consider as month and year and datedisp=01/05/2022
// if input 040522 consider as date and month and year datedisp=04/05/2022
Object.defineProperty(exports, "__esModule", { value: true });
exports.datedispNewFormat = void 0;
const datedispNewFormat = (date) => {
    let trdate = date === null || date === void 0 ? void 0 : date.toString();
    let dispDate, dataDate;
    if (trdate) {
        if ((trdate === null || trdate === void 0 ? void 0 : trdate.length) >= 8) {
            const dd = trdate.slice(6);
            const mm = trdate.slice(4, 6);
            const yy = trdate.slice(0, 4);
            if (Number(mm) > 12) {
                return { dispDate: trdate, dataDate: trdate };
            }
            else {
                dispDate = dd.toString() + '/' + mm + '/' + yy;
                dataDate = yy.toString() + mm.toString() + dd.toString();
                return { dispDate: dispDate, dataDate: dataDate };
            }
        }
        else if ((trdate === null || trdate === void 0 ? void 0 : trdate.length) == 8) {
            const dd = trdate.slice(0, 2);
            const mm = trdate.slice(2, 4);
            const yy = trdate.slice(4, 8);
            if (Number(mm) > 12) {
                return { dispDate: trdate, dataDate: trdate };
            }
            else {
                dispDate = dd.toString() + '/' + mm + '/' + yy;
                dataDate = yy.toString() + mm.toString() + dd.toString();
                return { dispDate: dispDate, dataDate: dataDate };
            }
        }
        else if ((trdate === null || trdate === void 0 ? void 0 : trdate.length) >= 5) {
            const dd = trdate.slice(0, 2);
            const mm = trdate.slice(2, 4);
            const yy = trdate.slice(4);
            if (Number(mm) > 12) {
                return { dispDate: trdate, dataDate: trdate };
            }
            else {
                dispDate = dd.toString() + '/' + mm + '/' + '20' + yy;
                dataDate = '20' + yy.toString() + mm.toString() + dd.toString();
                return { dispDate: dispDate, dataDate: dataDate };
            }
        }
        else if ((trdate === null || trdate === void 0 ? void 0 : trdate.length) >= 4) {
            const dd = '01';
            const mm = trdate.slice(0, 2);
            const yy = trdate.slice(2);
            console.log("first==", mm, "ff", yy);
            if (Number(mm) > 12) {
                return { dispDate: trdate, dataDate: trdate };
            }
            else {
                dispDate = dd.toString() + '/' + mm + '/' + '20' + yy;
                dataDate = '20' + yy.toString() + mm.toString() + dd.toString();
                return { dispDate: dispDate, dataDate: dataDate };
            }
        }
        else if ((trdate === null || trdate === void 0 ? void 0 : trdate.length) >= 2) {
            const d = new Date();
            const dd = '01';
            const mm = trdate.slice(0);
            const yy = d.getFullYear();
            if (Number(mm) > 12) {
                return { dispDate: trdate, dataDate: trdate };
            }
            else {
                dispDate = dd.toString() + '/' + mm + '/' + yy;
                dataDate = yy.toString() + mm.toString() + dd.toString();
                return { dispDate: dispDate, dataDate: dataDate };
            }
        }
        else
            return { dispDate: trdate, dataDate: trdate };
    }
    else {
        return { dispDate: trdate, dataDate: trdate };
    }
};
exports.datedispNewFormat = datedispNewFormat;
//# sourceMappingURL=dateConverterNew.js.map